roasOS
API referenceJobs

Get job status

The light poll: id, status, and when it last changed.

GET
/v1/jobs/{id}/status

The light poll: id, status, and when it last changed.

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/status"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "status": "queued",    "updated_at": "string"  }}